aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorpsykose <alice@ayaya.dev>2022-08-15 01:34:08 +0000
committeralice <alice@ayaya.dev>2022-08-15 02:39:38 +0000
commitb5cbc1e0f8d2bc17fa3fa99294f85c494a12bcd6 (patch)
tree5913b5eaccf3502bc3f4585dad969d813cb778b2
parent4b01a34ef63fb993510239d76e0876c7d0b1e58e (diff)
downloadaports-b5cbc1e0f8d2bc17fa3fa99294f85c494a12bcd6.tar.gz
aports-b5cbc1e0f8d2bc17fa3fa99294f85c494a12bcd6.tar.bz2
aports-b5cbc1e0f8d2bc17fa3fa99294f85c494a12bcd6.tar.xz
testing/mda-lv2: upgrade to 1.2.10
-rw-r--r--testing/mda-lv2/APKBUILD23
1 files changed, 15 insertions, 8 deletions
diff --git a/testing/mda-lv2/APKBUILD b/testing/mda-lv2/APKBUILD
index 684f734861..91f272bd65 100644
--- a/testing/mda-lv2/APKBUILD
+++ b/testing/mda-lv2/APKBUILD
@@ -1,25 +1,32 @@
# Contributor: psykose <alice@ayaya.dev>
# Maintainer: psykose <alice@ayaya.dev>
pkgname=mda-lv2
-pkgver=1.2.6
+pkgver=1.2.10
pkgrel=0
pkgdesc="Port of the MDA VST plugins to LV2"
url="https://gitlab.com/drobilla/mda-lv2"
arch="all"
license="GPL-3.0-or-later"
-makedepends="lv2-dev waf"
-options="!check" # no testsuite
-source="https://download.drobilla.net/mda-lv2-$pkgver.tar.bz2"
+makedepends="lv2-dev meson"
+checkdepends="lv2lint"
+source="https://download.drobilla.net/mda-lv2-$pkgver.tar.xz"
+options="!check" # no autoship
build() {
- python3 waf configure --prefix=/usr
- python3 waf build
+ abuild-meson \
+ -Dtests="$(want_check && echo enabled || echo disabled)" \
+ . output
+ meson compile -C output
+}
+
+check() {
+ meson test -v --no-rebuild -C output
}
package() {
- python3 waf install --destdir="$pkgdir"
+ DESTDIR="$pkgdir" meson install --no-rebuild -C output
}
sha512sums="
-0b49c8d4868010726bdf4b969b4822ffe17d705d81c956afabcfa27135c1bf54bb4fd00168d2606ddcd3f9b1930247655e700ae8d6039b43ff1a779cb8a617cc mda-lv2-1.2.6.tar.bz2
+be490887be25b2578a4f0a0f7d571aaa1bad37a640094ffde7bdca21a285ddf7d7650f96f735cb0ec01e262bddb945ab9e8923a2d8b94afb5dc6940cf4e2b054 mda-lv2-1.2.10.tar.xz
"